# Method: locations.global.metricsScopes.listMetricsScopesByMonitoredProject

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.ListMetricsScopesByMonitoredProjectResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes/listMetricsScopesByMonitoredProject#try-it)

Returns a list of every `Metrics Scope` that a specific `MonitoredProject` has been added to. The metrics scope representing the specified monitored project will always be the first entry in the response.

### HTTP request

`GET https://monitoring.googleapis.com/v1/locations/global/metricsScopes:listMetricsScopesByMonitoredProject`

### Query parameters

| Parameters ||
|---|---|
| `monitoredResourceContainer` | `string` Required. The resource name of the `Monitored Project` being requested. Example: `projects/{MONITORED_PROJECT_ID_OR_NUMBER}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `monitoredResourceContainer`: - `resourcemanager.projects.get` |

### Request body

The request body must be empty.

### Response body

Response for the `metricsScopes.listMetricsScopesByMonitoredProject` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "metricsScopes": [ { object (`https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes#MetricsScope`) } ] } ``` |

| Fields ||
|---|---|
| `metricsScopes[]` | ``object (`https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes#MetricsScope`)`` A set of all metrics scopes that the specified monitored project has been added to. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).